Get an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/referentials/v1/assets/code:{assetCode}

Return the asset object if the assetCode exists.

Rate limit range : High

Path parameters

  • assetCode string Required

    Requested asset code, case insensitive.

Responses

  • 200 application/json

    Asset found successfully.

    Hide response attributes Show response attributes object
    • assetCode string Required

      Asset code. Case insensitive.

      Maximum length is 256.

    • label string Required

      Asset label. It can be the name but it can also be an identifier (barCode, QRCode or NFC) used for asset search purpose.

      Minimum length is 1, maximum length is 10000.

    • customerCode string

      Related customer code. Case insensitive.

      Maximum length is 256.

    • siteCode string Required

      Related site code. Case insensitive.

      Minimum length is 1, maximum length is 256.

    • assetTypeCode string Required

      Asset type code. Case insensitive.

      Minimum length is 1, maximum length is 256.

    • officeCode string

      Code of the asset. Case insensitive.

      Maximum length is 256.

    • parentAssetCode string

      Parent asset code (if hierarchical structure). Case insensitive.

      Maximum length is 256.

    • description string | null

      Asset description if any.

      Maximum length is 10000.

    • commissioning object

      Commissioning details of the asset. If absent, status defaults to ACTIVE and startDate to null.

      Hide commissioning attributes Show commissioning attributes object
      • startDate string(date) | null

        Start date of the asset (installation date, contract start date.) in ISO-8601 format. Defaults to null if absent.

      • status string

        Status of the asset. Defaults to ACTIVE if absent.

        Values are ACTIVE or INACTIVE. Default value is ACTIVE.

    • customFields object

      Map of custom fields of an asset.

    • lastUpdate string(date-time) Required

      Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API.

  • 400 application/json

    Bad Request - validation errors.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 404 application/json

    Asset not found.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/referentials/v1/assets/code:{assetCode}
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/referentials/v1/assets/code:asset-123456' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "assetCode": "MOTOR_001",
  "label": "Motor dyson",
  "customerCode": "LISI",
  "siteCode": "LISI_VERNON",
  "assetTypeCode": "MOTOR",
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "assetCode": "MOTOR_001",
  "label": "Motor dyson",
  "customerCode": "LISI",
  "siteCode": "LISI_VERNON",
  "assetTypeCode": "MOTOR",
  "officeCode": "IDF",
  "description": "Electrical motor for factory engines",
  "commissioning": {
    "startDate": "2024-01-15",
    "status": "ACTIVE"
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "assetCode": "PTO_8273",
  "label": "PTO_8273DUJAR",
  "customerCode": "CUSTOMER_001",
  "siteCode": "SITE-28E82",
  "assetTypeCode": "PTO",
  "officeCode": "PARIS",
  "parentAssetCode": "BOX",
  "description": "PTO of Mr Dujardin",
  "commissioning": {
    "startDate": "2021-06-08",
    "status": "INACTIVE"
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC",
  "customFields": {
    "textCustomFieldCode": {
      "textValue": "24 months"
    },
    "checkBoxCustomFieldCode": {
      "booleanValue": true
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "High"
    },
    "urlCustomFieldCode": {
      "urlValue": "https://asset-manual.com"
    },
    "dateCustomFieldCode": {
      "dateValue": "2024-12-25"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-12-25T10:00"
    },
    "timeCustomFieldCode": {
      "timeValue": 36000
    },
    "gpsCustomFieldCode": {
      "gpsValue": {
        "longitude": 48.8567,
        "latitude": 2.3508
      }
    }
  }
}
{
  "assetCode": "SUB_001",
  "label": "Sub Component",
  "customerCode": "CUSTOMER_001",
  "siteCode": "SITE_001",
  "assetTypeCode": "COMPONENT",
  "parentAssetCode": "MAIN_001",
  "lastUpdate": "2024-09-12 13:00:27 UTC"
}
{
  "assetCode": "PUMP_001",
  "label": "Water Pump System",
  "customerCode": "CUSTOMER_001",
  "siteCode": "FACTORY_SITE",
  "assetTypeCode": "PUMP",
  "officeCode": "MAINTENANCE_OFFICE",
  "parentAssetCode": "WATER_SYSTEM",
  "description": "Primary water pump for cooling system",
  "commissioning": {
    "startDate": "2023-03-20",
    "status": "ACTIVE"
  },
  "lastUpdate": "2024-09-12 13:00:27 UTC",
  "customFields": {
    "textCustomFieldCode": {
      "textValue": "SN123456789"
    },
    "checkBoxCustomFieldCode": {
      "booleanValue": false
    },
    "dropDownCustomFieldCode": {
      "dropDownValue": "Low"
    },
    "urlCustomFieldCode": {
      "urlValue": "https://sub-asset-doc.com"
    },
    "dateCustomFieldCode": {
      "dateValue": "2024-11-01"
    },
    "dateTimeCustomFieldCode": {
      "dateTimeValue": "2024-12-15T09:00"
    },
    "timeCustomFieldCode": {
      "timeValue": 32400
    },
    "gpsCustomFieldCode": {
      "gpsValue": {
        "longitude": 48.8567,
        "latitude": 2.3508
      }
    }
  }
}
Response examples (400)
{
  "errors": [
    {
      "code": "referentials.asset.code.mandatory",
      "message": "Missing code in path."
    }
  ],
  "errorReference": "779b11d0ae8145aa9b106b049091b972"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (404)
{
  "errors": [
    {
      "code": "referentials.asset.code.notfound",
      "message": "Asset with code 'ASSET_001' not found."
    }
  ],
  "errorReference": "669b11d0ae8145aa9b106b049091b371"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}